/v0.1/merchants/{merchant_code}/readers/{reader_id}Updates a reader's name or metadata and returns the updated reader.
Providing metadata replaces the entire metadata object; include all entries that should be retained. Omitted fields remain unchanged.
OAuth scopes: Requires one of: readers.write, terminals.write.
Required permissions:
readers.update
Path parameters
Short unique identifier for the merchant.
Example:
"MK10CL2A"- minLength:
30maxLength:30The unique identifier of the reader.
Example:
"rdr_3MSAFM23CK82VSTT4BN6RWSQ65"
Body parameters
application/jsonrequired- namestringmaxLength:
500Custom human-readable, user-defined name for easier identification of the reader.
Example:
"Frontdesk" - metadataobject
Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.
Example:
{}
Responses
200application/json
Returns the updated Reader object if the update succeeded.
- minLength:
30maxLength:30Unique identifier of the reader that the payment is initiated on.
Example:
"rdr_3MSAFM23CK82VSTT4BN6RWSQ65" - maxLength:
500Custom human-readable, user-defined name for easier identification of the reader.
Example:
"Frontdesk" - Options:
"unknown""processing""paired""expired"The status of the reader object gives information about the current state of the reader.
Possible values:
unknown- The reader status is unknown.processing- The reader is created and waits for the physical device to confirm the pairing.paired- The reader is paired with a merchant account and can be used with SumUp APIs.expired- The pairing is expired and no longer usable with the account. The resource needs to get recreated.
Example:
"paired" Information about the underlying physical device.
Show 2 properties
A unique identifier of the physical device (e.g. serial number).
Example:
"U1DT3NA00-CN"- Options:
"solo""virtual-solo"Identifier of the model of the device.
Example:
"solo"
- format:
date-timeThe timestamp of when the reader was created.
Example:
"2023-01-18T15:16:17Z" - format:
date-timeThe timestamp of when the reader was last updated.
Example:
"2023-01-20T15:16:17Z" - metadataobject
Set of user-defined key-value pairs attached to the object. Partial updates are not supported. When updating, always submit whole metadata. Maximum of 64 parameters are allowed in the object.
Example:
{} - service_account_idstringformat:
uuidIdentifier of the system-managed service account associated with this reader. Present only for readers that are already paired. This field is currently in beta and may change.
403application/problem+json
The request isn't sufficiently authorized to modify the reader.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
404application/problem+json
The requested Reader resource does not exist.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"